Legacy (v0)
Create an address
Saves a new address for the authenticated user. Returns 400 with field errors if validation fails. Available to any authenticated company member (admin, rep or customer) and operates on the authenticated user’s own saved addresses.
POST
/
api
/
addresses
Create an address
curl --request POST \
--url https://api.fluid.app/api/addresses \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"address": {
"name": "Holly Flax",
"address1": "1725 Slough Avenue",
"address2": "Suite 200",
"city": "Scranton",
"state": "PA",
"postal_code": "18505",
"country_code": "US"
}
}
'import requests
url = "https://api.fluid.app/api/addresses"
payload = { "address": {
"name": "Holly Flax",
"address1": "1725 Slough Avenue",
"address2": "Suite 200",
"city": "Scranton",
"state": "PA",
"postal_code": "18505",
"country_code": "US"
} }
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({
address: {
name: 'Holly Flax',
address1: '1725 Slough Avenue',
address2: 'Suite 200',
city: 'Scranton',
state: 'PA',
postal_code: '18505',
country_code: 'US'
}
})
};
fetch('https://api.fluid.app/api/addresses', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://api.fluid.app/api/addresses",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "POST",
CURLOPT_POSTFIELDS => json_encode([
'address' => [
'name' => 'Holly Flax',
'address1' => '1725 Slough Avenue',
'address2' => 'Suite 200',
'city' => 'Scranton',
'state' => 'PA',
'postal_code' => '18505',
'country_code' => 'US'
]
]),
CURLOPT_HTTPHEADER => [
"Authorization: Bearer <token>",
"Content-Type: application/json"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}package main
import (
"fmt"
"strings"
"net/http"
"io"
)
func main() {
url := "https://api.fluid.app/api/addresses"
payload := strings.NewReader("{\n \"address\": {\n \"name\": \"Holly Flax\",\n \"address1\": \"1725 Slough Avenue\",\n \"address2\": \"Suite 200\",\n \"city\": \"Scranton\",\n \"state\": \"PA\",\n \"postal_code\": \"18505\",\n \"country_code\": \"US\"\n }\n}")
req, _ := http.NewRequest("POST", url, payload)
req.Header.Add("Authorization", "Bearer <token>")
req.Header.Add("Content-Type", "application/json")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}HttpResponse<String> response = Unirest.post("https://api.fluid.app/api/addresses")
.header("Authorization", "Bearer <token>")
.header("Content-Type", "application/json")
.body("{\n \"address\": {\n \"name\": \"Holly Flax\",\n \"address1\": \"1725 Slough Avenue\",\n \"address2\": \"Suite 200\",\n \"city\": \"Scranton\",\n \"state\": \"PA\",\n \"postal_code\": \"18505\",\n \"country_code\": \"US\"\n }\n}")
.asString();require 'uri'
require 'net/http'
url = URI("https://api.fluid.app/api/addresses")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Post.new(url)
request["Authorization"] = 'Bearer <token>'
request["Content-Type"] = 'application/json'
request.body = "{\n \"address\": {\n \"name\": \"Holly Flax\",\n \"address1\": \"1725 Slough Avenue\",\n \"address2\": \"Suite 200\",\n \"city\": \"Scranton\",\n \"state\": \"PA\",\n \"postal_code\": \"18505\",\n \"country_code\": \"US\"\n }\n}"
response = http.request(request)
puts response.read_body{
"id": 90611,
"name": "Holly Flax",
"address1": "1725 Slough Avenue",
"address2": "Suite 200",
"address3": null,
"city": "Scranton",
"state": "PA",
"subdivision_code": "US-PA",
"postal_code": "18505",
"country_code": "US",
"phone": "+15705550199",
"default": true,
"country": {
"id": 233,
"iso_name": "UNITED STATES",
"iso": "US",
"iso3": "USA",
"name": "United States",
"numcode": 840,
"active": true,
"currency_code": "USD",
"currency_symbol": "$",
"separator": ".",
"delimiter": ",",
"address3": false,
"tax_rates": null
}
}{
"message": "<string>"
}Response
Created
A saved address of the authenticated user.
⌘I
Create an address
curl --request POST \
--url https://api.fluid.app/api/addresses \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"address": {
"name": "Holly Flax",
"address1": "1725 Slough Avenue",
"address2": "Suite 200",
"city": "Scranton",
"state": "PA",
"postal_code": "18505",
"country_code": "US"
}
}
'import requests
url = "https://api.fluid.app/api/addresses"
payload = { "address": {
"name": "Holly Flax",
"address1": "1725 Slough Avenue",
"address2": "Suite 200",
"city": "Scranton",
"state": "PA",
"postal_code": "18505",
"country_code": "US"
} }
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({
address: {
name: 'Holly Flax',
address1: '1725 Slough Avenue',
address2: 'Suite 200',
city: 'Scranton',
state: 'PA',
postal_code: '18505',
country_code: 'US'
}
})
};
fetch('https://api.fluid.app/api/addresses', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://api.fluid.app/api/addresses",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "POST",
CURLOPT_POSTFIELDS => json_encode([
'address' => [
'name' => 'Holly Flax',
'address1' => '1725 Slough Avenue',
'address2' => 'Suite 200',
'city' => 'Scranton',
'state' => 'PA',
'postal_code' => '18505',
'country_code' => 'US'
]
]),
CURLOPT_HTTPHEADER => [
"Authorization: Bearer <token>",
"Content-Type: application/json"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}package main
import (
"fmt"
"strings"
"net/http"
"io"
)
func main() {
url := "https://api.fluid.app/api/addresses"
payload := strings.NewReader("{\n \"address\": {\n \"name\": \"Holly Flax\",\n \"address1\": \"1725 Slough Avenue\",\n \"address2\": \"Suite 200\",\n \"city\": \"Scranton\",\n \"state\": \"PA\",\n \"postal_code\": \"18505\",\n \"country_code\": \"US\"\n }\n}")
req, _ := http.NewRequest("POST", url, payload)
req.Header.Add("Authorization", "Bearer <token>")
req.Header.Add("Content-Type", "application/json")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}HttpResponse<String> response = Unirest.post("https://api.fluid.app/api/addresses")
.header("Authorization", "Bearer <token>")
.header("Content-Type", "application/json")
.body("{\n \"address\": {\n \"name\": \"Holly Flax\",\n \"address1\": \"1725 Slough Avenue\",\n \"address2\": \"Suite 200\",\n \"city\": \"Scranton\",\n \"state\": \"PA\",\n \"postal_code\": \"18505\",\n \"country_code\": \"US\"\n }\n}")
.asString();require 'uri'
require 'net/http'
url = URI("https://api.fluid.app/api/addresses")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Post.new(url)
request["Authorization"] = 'Bearer <token>'
request["Content-Type"] = 'application/json'
request.body = "{\n \"address\": {\n \"name\": \"Holly Flax\",\n \"address1\": \"1725 Slough Avenue\",\n \"address2\": \"Suite 200\",\n \"city\": \"Scranton\",\n \"state\": \"PA\",\n \"postal_code\": \"18505\",\n \"country_code\": \"US\"\n }\n}"
response = http.request(request)
puts response.read_body{
"id": 90611,
"name": "Holly Flax",
"address1": "1725 Slough Avenue",
"address2": "Suite 200",
"address3": null,
"city": "Scranton",
"state": "PA",
"subdivision_code": "US-PA",
"postal_code": "18505",
"country_code": "US",
"phone": "+15705550199",
"default": true,
"country": {
"id": 233,
"iso_name": "UNITED STATES",
"iso": "US",
"iso3": "USA",
"name": "United States",
"numcode": 840,
"active": true,
"currency_code": "USD",
"currency_symbol": "$",
"separator": ".",
"delimiter": ",",
"address3": false,
"tax_rates": null
}
}{
"message": "<string>"
}